PETSc version 3.15.5
Fix/Edit manual page

# PetscFEIntegrateHybridResidual

Produce the element residual vector for a chunk of hybrid element faces by quadrature integration

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEIntegrateHybridResidual(PetscDS prob, PetscHashFormKey key, PetscInt Ne, PetscFEGeom *fgeom,
                                                  const PetscScalar coefficients[], const PetscScalar coefficients_t[], PetscDS probAux, const PetscScalar coefficientsAux[], PetscReal t, PetscScalar elemVec[])

Not collective

### Input Parameters

| prob | - The PetscDS specifying the discretizations and continuum functions
| key | - The (label+value, field) being integrated
| Ne | - The number of elements in the chunk
| fgeom | - The face geometry for each cell in the chunk
| coefficients | - The array of FEM basis coefficients for the elements
| coefficients_t | - The array of FEM basis time derivative coefficients for the elements
| probAux | - The PetscDS specifying the auxiliary discretizations
| coefficientsAux | - The array of FEM auxiliary basis coefficients for the elements
| t | - The time

Output Parameter

| elemVec | - the element residual vectors from each element

### See Also

PetscFEIntegrateResidual()

### Level

developer

### Location

src/dm/dt/fe/interface/fe.c

### Implementations

src/dm/dt/fe/impls/basic/febasic.c:599:static PetscErrorCode PetscFEIntegrateHybridResidual_Basic(PetscDS ds, PetscHashFormKey key, PetscInt Ne, PetscFEGeom *fgeom,
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages